{
  lib,
  config,
  fn,
  nvim-lazy,
  ...
}:

with lib;
{
  imports =
    [
      nvim-lazy.nixosModules.nvim-lazy
    ]
    ++ (fn.lst {
      path = (toString ./nvim);
      fullPath = true;
    });

  programs.nvim-lazy = mkIf (elem "nvim" config.machine.pkgs) {
    enable = true;
    luaRcContent = # lua
      ''
        vim.g.mapleader = " "
        vim.opt.tabstop = 2
        vim.opt.shiftwidth = 2
        vim.opt.expandtab = true
        vim.opt.ignorecase = true
        vim.opt.smartcase = true
        -- TODO: fix option name
        -- vim.opt.nformats = alpha
        vim.bo.softtabstop = 2

        vim.wo.number = true
        vim.wo.relativenumber = true

        vim.opt.scrolloff = 10
      '';
  };
}
